Subject: Re: bug#19421: 25.0.50; doc string of `browse-url' must describe parameter ARGS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2015 18:06:08 +0200

> Date: Sat, 26 Dec 2015 14:19:05 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> >   When called interactively, if variable `browse-url-new-window-flag' is
> >   non-nil, load the document in a new window, if possible, otherwise use
> >   a random existing one.  A non-nil interactive prefix argument reverses
> >   the effect of `browse-url-new-window-flag'.
> > 
> > So this part was already okay (in other functions as well).
> 
> Sorry; I do not understand.  The doc string speaks about behavior
> for when it is called interactively and when it is called
> non-interactively.
> 
> I fail to see how it is called interactively, since it is not a
> command - it has no `interactive' spec.

It describes what will happen with the functions it calls, depending
on the platform.  Those functions do have an interactive spec.

> And it refers to an "optional second argument NEW-WINDOW", but
> the lambda list is (URL &rest ARGS), and the doc string in no
> way introduces NEW WINDOW in terms of those parameters.

Please look at the current sources, you are talking about stuff I
changed already.